db manager error when running > 1 query

2012-12-08 05:44 AM - Giovanni Manghi

Status: Closed

Priority: High

Assignee: Giuseppe Sucameli

Category: DB Manager

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:Yes Copied to github as #: 15978

Description

Traceback (most recent call last):

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\dlg_sql_window.py",

line 117, in executeSql

    model = self.db.sqlResultModel( sql, self )

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\db_plugins\\spatialite\\plugin.py",

line 106, in sqlResultModel

    return SLSqlResultModel(self, sql, parent)

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\db_plugins\\data_model.py",

line 133, in init

    c = self.db._execute(None, unicode(sql))

  File "C:\\OSGeo4W\\apps\\qgis-dev\\python\\plugins\\db_manager\\db_plugins\\connector.py",

line 76, in _execute

    cursor.execute(unicode(sql))

Warning: You can only execute one statement at a time.

after that qgis become not responsive and must be killed.

Associated revisions

Revision c203990c - 2012-12-10 01:32 AM - Giuseppe Sucameli

fix #6842

History

#1 - 2012-12-09 04:32 PM - Giuseppe Sucameli

- Status changed from Open to Closed

Fixed in changeset commit:"c203990cebf6ee8b65ee648b92f11cfd87fcc650".
